import { debounce } from 'lodash-es';
import { ref } from 'vue';

export const useChatWidth = () => {
	const chatWidth = ref<string>('75%');

	const updateChatWidth = ({ width }) => {
		if (width < 1200) {
			width = '100%';
		} else if (width < 1600) {
			width = '85%';
		} else {
			width = '75%';
		}
		chatWidth.value = width;
	};

	const debounceUpdateChatWidth = debounce(updateChatWidth, 100);

	return {
		chatWidth,
		updateChatWidth:debounceUpdateChatWidth,
	};
};
